rb_method_cfunc_struct Struct Reference

`#include <method.h>`

## Data Fields

VALUE(* | func )(ANYARGS)
int | argc

## Detailed Description

Definition at line 47 of file method.h.

## Field Documentation

int rb_method_cfunc_struct::argc

Definition at line 49 of file method.h.

Referenced by rb_add_method(), rb_add_method_cfunc(), rb_method_definition_eq(), rb_method_entry_arity(), vm_call0(), and vm_call_cfunc().

VALUE(* rb_method_cfunc_struct::func)(ANYARGS)

Definition at line 48 of file method.h.

Referenced by check_cfunc(), rb_add_method(), rb_add_method_cfunc(), rb_get_alloc_func(), rb_method_definition_eq(), rb_obj_basic_to_s_p(), vm_call0(), and vm_call_cfunc().

The documentation for this struct was generated from the following file:

- method.h